from setuptools import setup
import os

version_path = os.path.join(os.path.abspath(os.path.dirname(__file__)), 'freecad', 'kiconnect', 'version.py')
with open(version_path) as fp:
    exec(fp.read())

print(__version__)
setup(name='freecad.kiconnect',
      version=str(__version__),
      packages=['freecad.kiconnect'],
      maintainer='morgan',
      maintainer_email='morgan@oit.cloud',
      url='https://git.oit.cloud/morgan/kiconnect',
      description='Printed Circuit Workbench for interacting with KiCAD v9+ API',
      install_requires=['git+https://gitlab.com/kicad/code/kicad-python.git@55feccb010d3c3d5e501133b87330bbdafef5fff',],
      include_package_data=True)
